Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

When I've implemented first the inline autocomplete feature (4.1.0) I chose to store the autocomplete data source path in a data

attribute (data-issue-url) of each textarea field that support this feature. The solution touched 9 views files (r18444).

Since then, new requests came to support inline autocomplete for other sources like macros or wiki pages (#33425, #33820) and if

we keep the current solution, we need to touch again the same files and add two new attributes. On a long term, the solution doesn't

seem very efficient.

My proposal is to change the current implement and store all the paths in a JS variable, attached an working version.

Any feedback on this is really appreciated.

Associated revisions

Revision 20191 - 2020-10-25 02:01 - Go MAEDA

Store inline autocomplete data sources in a JS variable (#34122).

Patch by Marius BALTEANU.

History

#1 - 2020-10-22 04:42 - Go MAEDA

+1

The change makes views clearner.

#2 - 2020-10-25 02:01 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
